Qt 5.6 | Qt Widgets | C++ Classes | QStyleFactory

Qt 5.6.2 Reference Documentation

# QStyleFactory Class

The QStyleFactory class creates QStyle objects. More...

Header: | #include <QStyleFactory>
qmake: | QT += widgets

- List of all members, including inherited members

## Static Public Members

QStyle * | create(const QString &key)
QStringList | keys()

## Detailed Description

The QStyleFactory class creates QStyle objects.

The QStyle class is an abstract base class that encapsulates the look and feel of a GUI. QStyleFactory creates a QStyle object using the create() function and a key identifying the style. The styles are either built-in or dynamically loaded from a style plugin (see QStylePlugin).

The valid keys can be retrieved using the keys() function. Typically they include "windows" and "fusion". Depending on the platform, "windowsxp", "windowsvista", "gtk" and "macintosh" may be available. Note that keys are case insensitive.

See also QStyle.

## Member Function Documentation

### `[static]` QStyle *QStyleFactory::create(const QString &key)

Creates and returns a QStyle object that matches the given key, or returns 0 if no matching style is found.

Both built-in styles and styles from style plugins are queried for a matching style.

Note: The keys used are case insensitive.

See also keys().

### `[static]` QStringList QStyleFactory::keys()

Returns the list of valid keys, i.e. the keys this factory can create styles for.

See also create().